#!/bin/sh
#
# Start thermometer server script
#
# $Id$

PATH="/usr/local/net/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin"
PIDFILE="/var/run/ted.pid"

rc_arg=$1

start() {
  if [ -r /etc/defaults/rc.conf ]; then
	. /etc/defaults/rc.conf
	source_rc_confs
  elif [ -r /etc/rc.conf ]; then
	. /etc/rc.conf
  fi
  if [ "$ted_enable" != "YES" ]
  then	exit 0
  fi

  if [ -x /usr/local/sbin/ted ] ; then
	ted $ted_flags >/dev/null 2>&1
	if [ $? -ne 0 ]
	then
		echo " ted: cannot start - may be any problem!!!!"
		exit 128
	else
		echo -n ' ted'
	fi
  fi
}

stop() {
  if [ -f $PIDFILE ]; then
	PID=`cat $PIDFILE` 
	kill $PID
	rm $PIDFILE
  else
	echo "Cannot stop ted" 2>&1
  fi
}

case "$rc_arg" in
start)
	start
	;;
stop)
	stop
	;;
*)
	echo "usage: ${rc_file} {start|stop}" >&2
	exit 64
	;;
esac

exit 0
